### R code from vignette source 'glmnetcr.Rnw'

###################################################
### code chunk number 1: glmnetcr.Rnw:74-82
###################################################
library(glmnetcr)
data(diabetes)
dim(diabetes)
names(diabetes)[1:10]
summary(diabetes$y)
x <- diabetes[,2:dim(diabetes)[2]]
y <- diabetes$y
fit <- glmnet.cr(x,y)


###################################################
### code chunk number 2: glmnetcr.Rnw:85-88
###################################################
print(fit)
plot(fit, xvar = "step", type="bic")
plot(fit, xvar = "step", type="coefficients")


###################################################
### code chunk number 3: glmnetcr.Rnw:92-93
###################################################
plot(fit, xvar = "step", type="bic")


###################################################
### code chunk number 4: glmnetcr.Rnw:100-101
###################################################
plot(fit, xvar = "step", type="coefficients")


###################################################
### code chunk number 5: glmnetcr.Rnw:108-112
###################################################
BIC.step <- select.glmnet.cr(fit)
BIC.step
AIC.step <- select.glmnet.cr(fit, which="AIC")
AIC.step


###################################################
### code chunk number 6: glmnetcr.Rnw:115-119
###################################################
coefficients<-coef(fit, s=BIC.step)
coefficients$a0
sum(coefficients$beta!=0)
nonzero.glmnet.cr(fit, s=BIC.step)


###################################################
### code chunk number 7: glmnetcr.Rnw:123-124
###################################################
fit <- glmnet.cr(x, y, method="forward")


###################################################
### code chunk number 8: glmnetcr.Rnw:127-129
###################################################
BIC.step <- select.glmnet.cr(fit)
BIC.step


###################################################
### code chunk number 9: glmnetcr.Rnw:133-137
###################################################
coefficients<-coef(fit, s=BIC.step)
coefficients$a0
sum(coefficients$beta!=0)
nonzero.glmnet.cr(fit, s=BIC.step)


###################################################
### code chunk number 10: glmnetcr.Rnw:142-145
###################################################
hat<-fitted(fit, s=BIC.step)
names(hat)
table(hat$class,y)


